## quickplot 0.1.0

=== Makefile ===
# $Id: Makefile,v 1.8 1998/04/08 02:37:00 lance Exp lance $

# Please don't change the VERSION
VERSION = 0.1.0

#################### EDIT HERE ##############################

# if you install it INSTALL_DIR is the top install directory
#INSTALL_DIR = /usr/local/packages/quickplot-$(VERSION)
#INSTALL_DIR = /usr/freeware/packages/quickplot-$(VERSION)
INSTALL_DIR = /usr/local/encap/quickplot-$(VERSION)

LIBS= -lX11 -lXaw -lXt -L/usr/X11R6/lib

#on HP-UX 10.20 uncomment the two lines below
#CC = cc -Ae -I/usr/include/X11R6 -I/usr/contrib/X11R6/include
#LIBS= -L/usr/lib/X11R6 -lX11 -lXt -lXext -L/usr/contrib/X11R6/lib -lXaw -lXmu

#on SGI's it works

# no need to edit below here to build or install it
##############################################################
################### END EDIT #################################

EXEC = quickplot test_data

QP_OBJS = usage.o add_plots_list.o initialize_Plot_struct.o \
       read_in_data.o get_options.o get_num_lines_to_skip.o \
       get_infilenames.o init_windows.o init_colors.o \
       read_ascii_file.o scale_plot.o plot.o \
       check_plots.o make_labels.o do_event_loop.o \
       malloc_scale_and_stuff.o \
       draw_zoom_box.o read_binary_file.o read_file_utils.o \
       GNUgetopt.o GNUgetopt1.o check_for_stdin.o set_options.o \
       show_point_values.o show_function_values.o icon.o \
       show_true_function_values.o

build: $(EXEC)

install: build
	-mkdir -p $(INSTALL_DIR)/bin
	cp $(EXEC) $(INSTALL_DIR)/bin
	-mkdir -p $(INSTALL_DIR)/man/man1
	cp man/man1/*.1 $(INSTALL_DIR)/man/man1
	@echo
	@echo "                 All Done"
	@echo "Test it by running './test_data | ./quickplot'"
	@echo "You can run [1m'make clean'[0m to remove build files"

test_data: test_data.o GNUgetopt.h GNUgetopt.o GNUgetopt1.o
	$(CC) test_data.o GNUgetopt.o GNUgetopt1.o -o test_data -lm

quickplot: $(QP_OBJS) main.o data.h
	$(CC) $(QP_OBJS) main.o $(LIBS) -o quickplot -lm
	@printf "\nTest it by running: [1m./test_data | ./quickplot[0m\n"

version.h:
	echo "/* DO NOT EDIT THIS FILE ***" > version.h
	echo " * It is generated from make" >> version.h
	echo " */" >> version.h
	printf '#define LANCEMAN_VERSION \"$(VERSION)\"\n' >> version.h

depend:
	makedepend -Y. -fMakefile *.c

clean:
	-rm -f $(EXEC) *.o 

cleano:
	-rm -f *.o

cleaner:
	-rm -f $(EXEC) *.o *~ man/man1/*.1~ version.h Makefile.bak core

get_options.o: version.h

# DO NOT DELETE THIS LINE -- make depend depends on it.

GNUgetopt.o: GNUgetopt.h
GNUgetopt1.o: GNUgetopt.h
add_plots_list.o: data.h
check_plots.o: data.h
do_event_loop.o: data.h xwin.h
draw_zoom_box.o: data.h xwin.h
get_infilenames.o: data.h option.h GNUgetopt.h
get_num_lines_to_skip.o: data.h
get_options.o: data.h option.h GNUgetopt.h version.h
icon.o: QuickPlotIcon.xbm
init_colors.o: data.h xwin.h
init_windows.o: xwin.h data.h
initialize_Plot_struct.o: data.h
main.o: data.h xwin.h
make_labels.o: data.h
malloc_scale_and_stuff.o: data.h
plot.o: data.h xwin.h
read_ascii_file.o: data.h
read_binary_file.o: data.h
read_file_utils.o: data.h
read_in_data.o: data.h
scale_plot.o: data.h xwin.h
set_options.o: option.h GNUgetopt.h
show_function_values.o: xwin.h data.h
show_point_values.o: xwin.h data.h
show_true_function_values.o: xwin.h data.h
test_data.o: GNUgetopt.h
usage.o: data.h

## quickplot 0.4.4

=== Makefile ===
# $Id: Makefile,v 1.12.1.28 1999/04/08 03:23:34 lance Exp lance $

# Please don't change the VERSION
VERSION = 0.4.3

#################### EDIT HERE ##############################

# If you install it INSTALL_DIR is the top install directory.
# It put binaries in INSTALL_DIR/bin and man pages in
# INSTALL_DIR/man and so on.
#
INSTALL_DIR = /usr/local/encap/quickplot-$(VERSION)

LIBS = -lX11 -lXaw -lXt -lXpm -L/usr/X11R6/lib

# places to look for the X include files 
CFLAGS = -I/usr/X11R6/include/X11 -I/usr/include/X11R6 \
      -I/usr/contrib/X11R6/include -I/usr/X11R6/include

#on HP-UX 10.20 uncomment the two lines below
#CC = cc -Ae
#LIBS= -L/usr/lib/X11R6 -lX11 -lXt -lXpm -lXext -L/usr/contrib/X11R6/lib -lXaw -lXmu

#on Solaris 2.5.1 uncomment the line below
#LIBS= -L/usr/lib -lc -lsocket -L/usr/X11R6/lib -lX11 -lXaw -lXt -lXpm -lXmu -lSM -lICE -lXext -Wl,-rpath -Wl,/usr/X11R6/lib

#on SGI's and Linux it's fine

# no need to edit below here to build or install it
##############################################################
################### END EDIT #################################

EXEC = quickplot test_data

QP_OBJS = usage.o add_plots_list.o initialize_Plot_struct.o \
       read_in_data.o get_options.o get_num_lines_to_skip.o \
       get_infilenames.o init_windows.o init_colors.o \
       read_ascii_file.o scale_plot.o plot.o \
       check_plots.o make_labels.o do_event_loop.o \
       malloc_scale_and_stuff.o \
       draw_zoom_box.o read_binary_file.o read_file_utils.o \
       GNUgetopt.o GNUgetopt1.o check_for_stdin.o set_options.o \
       show_point_values.o show_function_values.o icon.o \
       show_true_function_values.o add_count_field.o write_pixmap.o \
       draw_axis.o

build: $(EXEC)
	@printf "\n___---______-----_____- Quickplot is built -_____--------\n"
	@printf "\n"
	@printf "Test Quickplot by running: [1m./test_data | ./quickplot[0m\n"
	@printf " To see Quickplot options: [1m./quickplot --help [0m\n"
	@printf "         See man pages by: [1mman -M ./man quickplot [0m\n\n"
	@printf "To install quickplot: Set INSTALL_DIR macro in Makefile then [1mmake install[0m\n\n"

install: $(EXEC)
	-mkdir -p $(INSTALL_DIR)/bin
	cp $(EXEC) $(INSTALL_DIR)/bin
	-mkdir -p $(INSTALL_DIR)/man/man1
	cp man/man1/*.1 $(INSTALL_DIR)/man/man1
	-mkdir -p $(INSTALL_DIR)/html
	cp html/*.man.html $(INSTALL_DIR)/html
	@echo
	@echo "                 All Done"
	@echo
	@echo "You can run [1mmake clean[0m to remove build files"

test_data: test_data.o GNUgetopt.h GNUgetopt.o GNUgetopt1.o
	$(CC) test_data.o GNUgetopt.o GNUgetopt1.o -o test_data -lm

quickplot: $(QP_OBJS) main.o data.h
	$(CC) $(QP_OBJS) main.o $(LIBS) -o quickplot -lm

version.h: version.sh Makefile
	/bin/sh version.sh $(VERSION) > version.h

depend:
	makedepend -Y. -fMakefile *.c

clean:
	-rm -f $(EXEC) *.o version.h

cleano:
	-rm -f *.o

cleaner:
	-rm -f $(EXEC) *.o *~ man/man1/*.1~ html/*~ version.h Makefile.bak core

get_options.o: version.h

# Don't edit below here
#
# DO NOT DELETE THIS LINE -- make depend depends on it.

GNUgetopt.o: GNUgetopt.h
GNUgetopt1.o: GNUgetopt.h
add_count_field.o: data.h
add_plots_list.o: data.h
check_plots.o: data.h
do_event_loop.o: data.h xwin.h
draw_axis.o: data.h xwin.h
draw_zoom_box.o: data.h xwin.h
get_infilenames.o: data.h option.h GNUgetopt.h
get_num_lines_to_skip.o: data.h
get_options.o: data.h option.h GNUgetopt.h version.h
icon.o: QuickPlotIcon.xbm
init_colors.o: data.h xwin.h
init_windows.o: xwin.h data.h
initialize_Plot_struct.o: data.h
main.o: data.h xwin.h
make_labels.o: data.h
malloc_scale_and_stuff.o: data.h
plot.o: data.h xwin.h
read_ascii_file.o: data.h
read_binary_file.o: data.h
read_file_utils.o: data.h
read_in_data.o: data.h
scale_plot.o: data.h xwin.h
set_options.o: option.h GNUgetopt.h
show_function_values.o: xwin.h data.h
show_point_values.o: xwin.h data.h
show_true_function_values.o: xwin.h data.h
test_data.o: GNUgetopt.h
write_pixmap.o: xwin.h data.h

## quickplot 0.8.15

=== debian/changelog ===
quickplot (0.8.15-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2. 
  * Switch to dpkg-source 3.0 (quilt) format.
  *  Maintainer's mail has been changed.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2011 14:17:30 +0200

quickplot (0.8.15-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed.
  * ${misc:Depends} has been added to Depends fields in order to fix a lintian
    warning because the source package uses debhelper.  
  * debian/quickplot.doc-base has been added to register documentation files 
    making use of doc-base.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 22 Feb 2010 12:54:50 -0430

quickplot (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1
  * Homepage was set as a regular field in debian/control.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 13 Mar 2009 15:39:06 -0430

quickplot (0.8.13-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #454899)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:29:29 +0100

quickplot (0.8.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 11 Apr 2007 13:07:27 -0400

quickplot (0.8.13-1) experimental; urgency=low

  * New upstream release.
  * A watch file was added.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue,  6 Feb 2007 21:50:27 -0400

quickplot (0.8.6-3) unstable; urgency=low

  * New maintainer (Closes: #405732)
  * The version of debhelper was changed to >> 5 instead of >> 4.0.0

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon,  5 Feb 2007 22:23:47 -0400

quickplot (0.8.6-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #405732
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Fri, 19 Jan 2007 08:42:49 +0100

quickplot (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild quickplot for the C++ ABI transition (closes: #325514).
  * Add forward-declaration of class FieldReader for compatibility with
    g++ 4.0 (closes: #326468).

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Sep 2005 14:25:08 -0700

quickplot (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Upstream has completely revamped an old project, converted to C++,
    used more modern GUI library (GTK+), made lots of
    improvements. Unfortunately, upstream resurfaced at a different
    location (sourceforge), and I missed several intermediate versions.
  * Updated long and short descriptions and Build-Depends
  * Wrote manpage in sgml format using upstream html help page
  * Close old FTBFS fixed NMU bug. Closes: #226514

 -- Gopal Narayanan <gopal@debian.org>  Wed,  2 Feb 2005 00:26:09 -0500

quickplot (0.4.4-2.1) unstable; urgency=low

  * NMU
    - Now Build-Depends on libxaw6-dev (Closes: #226514)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  9 Jan 2004 17:45:16 +0100

quickplot (0.4.4-2) unstable; urgency=low

  * Fix uninstallable RC bug for old X libraries. Closes: #170234
  * Bumped up Standards Version, add Build-Depends

 -- Gopal Narayanan <gopal@debian.org>  Fri, 14 Mar 2003 21:26:22 -0500

quickplot (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Thu, 13 Jul 2000 13:20:14 -0400

quickplot (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards 3.0.1

 -- Gopal Narayanan <gopal@debian.org>  Fri, 29 Oct 1999 16:55:20 -0400

quickplot (0.4.2-2) unstable; urgency=low

  * Packaged using debhelper (>2.0) for FHS compliance

 -- Gopal Narayanan <gopal@debian.org>  Sun,  8 Aug 1999 20:45:56 -0400

quickplot (0.4.2-1) unstable; urgency=low

  * New Maintainer
  * New upstream version

 -- Gopal Narayanan <gopal@debian.org>  Fri,  2 Jul 1999 20:38:30 -0400

quickplot (0.2.8-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Wed, 27 Jan 1999 07:28:29 -0500

quickplot (0.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Mon, 21 Dec 1998 13:49:06 -0500

quickplot (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Wed, 17 Sep 1997 14:59:33 -0400

=== debian/control ===
Source: quickplot
Section: math
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>> 5), libgtkmm-2.4-dev, libsndfile1-dev, docbook-to-man
Standards-Version: 3.9.2
Homepage: http://quickplot.sourceforge.net/

Package: quickplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast interactive 2D plotter and data viewer
 A 2-D plotter with infinite zooming, value picking, pipe input, and
 unlimited plots displayed.  Quickplot is meant for looking at your
 data quickly and of secondary importance is making static pictures of
 your data.  It is a data viewer, not a plot editor.  It reads ASCII
 text and sound files.  It has lots of command line options, making it
 very shell script friendly.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

package=quickplot
SHELL=/bin/sh

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr 
	touch configure-stamp

build: build-stamp build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp install-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/quickplot/usr
#	mv debian/tmp/usr/X11R6/html debian/tmp/usr/share/doc/$(package)
	-rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	docbook-to-man debian/quickplot.sgml > debian/quickplot.1
	dh_installman debian/quickplot.1
	dh_installmenu
	dh_installcron
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## quickplot 0.9.11

=== debian/changelog ===
quickplot (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + libreadline6-dev was added to the Build-Depends field.
  * quickplot.symbols file has been removed and an override has been added.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 31 Dec 2011 18:03:58 +0100

quickplot (0.9.7-4) experimental; urgency=low

  * debian/quickplot.symbols file was updated to avoid FTBFS on armel, armhf,
    ia64, mips, mipsel, powerpc, s390, s390x, and sparc.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 30 Dec 2011 13:13:48 +0100

quickplot (0.9.7-3) unstable; urgency=low

  * debian/quickplot.symbols file was updated to not reflect the revision of the
    package and thus avoiding fails in the building process.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 28 Dec 2011 11:54:35 +0100

quickplot (0.9.7-2) unstable; urgency=low

  * Adding symbols file.
  * debian/control:
    + Updated build dependency to debhelper >= 7.
    + Build-Depends: libgtkmm-2.4-dev changed to libgtkmm-3.0-dev.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 27 Dec 2011 16:33:51 +0100

quickplot (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * The program should compile when ld defaults is set to --as-needed. Thanks to
    Felix Geyer for providing a patch. (Closes: #647443)
  * dependency_libs field has been cleared in this revision.
  * debian/copyright file has been updated for complying with DEP5 format.
  * debian/quickplot.doc-base has been updated for containing the changes in
    this new upstream release.
  * quickplot.postinst has been added for running ldconfig.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 25 Dec 2011 20:53:21 +0100

## quickplot 0.10.3

=== debian/changelog ===
quickplot (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Feb 2012 16:44:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends: debhelper (>> 5), libgtkmm-2.4-dev, libsndfile1-dev, docbook-to-man
+Build-Depends: debhelper (>= 7),
+               libgtkmm-3.0-dev,
+               libsndfile1-dev,
+               docbook-to-man,
+               dh-autoreconf,
+               lynx,
+               libreadline6-dev
 Standards-Version: 3.9.2
 Homepage: http://quickplot.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --prefix=/usr 
+	dh_autoreconf
+	./configure --prefix=/usr
 	touch configure-stamp
 
 build: build-stamp build-arch build-indep
@@ -19,17 +20,19 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) 
+	$(MAKE)
 
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp install-stamp
+	rm -f build-stamp configure-stamp install-stamp debian/substvars
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+	dh_autoreconf_clean
 
 	dh_clean
 
@@ -37,13 +40,21 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install prefix=$(CURDIR)/debian/quickplot/usr
 #	mv debian/tmp/usr/X11R6/html debian/tmp/usr/share/doc/$(package)
-	-rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+
+	# Cleaning out the dependency_libs field
+	for file in debian/quickplot/usr/lib/*.la; do \
+	    sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
+	    done
+
+	#rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+	install -D -m 0644 debian/quickplot.override \
+	    $(CURDIR)/debian/quickplot/usr/share/lintian/overrides/quickplot
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -63,13 +74,14 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## quickplot 0.10.4

=== debian/changelog ===
quickplot (0.10.4-2) unstable; urgency=low

  * Missing Copyright file was added. (Closes: #708099)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 18 May 2013 17:19:34 +0200

quickplot (0.10.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + install-docs is not used to comply with Debian Policy.
    + buildflags.mk is being used in order of providing binaries with
    hardening functions.
  * debian/control:
    + dh-autoreconf added in Build-Depends field.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 11 May 2013 16:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                docbook-to-man,
                dh-autoreconf,
                lynx,
-               libreadline6-dev
-Standards-Version: 3.9.2
+               libreadline6-dev,
+               dpkg-dev (>= 1.16.1~),
+               dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://quickplot.sourceforge.net/
 
 Package: quickplot

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 package=quickplot
 SHELL=/bin/sh
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: configure-stamp
 configure-stamp:
@@ -50,9 +52,11 @@
 	# Cleaning out the dependency_libs field
 	for file in debian/quickplot/usr/lib/*.la; do \
 	    sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
-	    done
+	done
 
 	#rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+	install -D -m 0644 debian/copyright \
+	    $(CURDIR)/debian/quickplot/usr/share/doc/quickplot/
 	install -D -m 0644 debian/quickplot.override \
 	    $(CURDIR)/debian/quickplot/usr/share/lintian/overrides/quickplot
 	touch install-stamp
@@ -65,7 +69,6 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
 	docbook-to-man debian/quickplot.sgml > debian/quickplot.1
 	dh_installman debian/quickplot.1
 	dh_installmenu

## quickplot 0.10.6

=== debian/changelog ===
quickplot (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes were needed.
  * manpages are now used from upstream.
  * debian/control:
    + Duplicated Build-Depends entry `dh-autoreconf` has been deleted.
  * FTBFS with ld --as-needed, related to libraries put before the objects
    that use them, has been fixed by upstream (Closes: #647443).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 28 Nov 2013 00:41:37 +0200

## quickplot 1.0.1~rc

=== debian/changelog ===
quickplot (1.0.1~rc-3) unstable; urgency=medium

  * Team upload.
  * Fix cut-n-pasto in Vcs fields
  * Drop outdated debian/rules boilerplate
  * debian/rules
     - Enable hardening options
     - Short dh
  * Fix syntax of doc-base file

 -- Andreas Tille <tille@debian.org>  Fri, 16 Aug 2024 18:25:39 +0200

quickplot (1.0.1~rc-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Science team maintenance
    Closes: #1078671
  * Point watch file to Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Drop unnecessary Build-Depends: dpkg-dev
  * Do not provide a privacy breaking logo in doc

 -- Andreas Tille <tille@debian.org>  Fri, 16 Aug 2024 17:36:11 +0200

quickplot (1.0.1~rc-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 28 Feb 2016 15:37:31 +0100

=== debian/control ===
Source: quickplot
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgtkmm-3.0-dev,
               libsndfile1-dev,
               docbook-to-man,
               lynx,
               libreadline6-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/quickplot
Vcs-Git: https://salsa.debian.org/science-team/quickplot.git
Homepage: https://quickplot.sourceforge.net/
Rules-Requires-Root: no

Package: quickplot
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast interactive 2D plotter and data viewer
 A 2-D plotter with infinite zooming, value picking, pipe input, and
 unlimited plots displayed.  Quickplot is meant for looking at your
 data quickly and of secondary importance is making static pictures of
 your data.  It is a data viewer, not a plot editor.  It reads ASCII
 text and sound files.  It has lots of command line options, making it
 very shell script friendly.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	dh_install
	# There is no point in installing *.la files
	find debian -name "*.la" -delete

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lanceman2/quickplot/tags (?:.*?/)?v?(\d[\d.rc]+)\.tar\.gz
